package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 首次时间记录类型
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum UserFirstTimeTypeEnum implements BaseEnum<String, UserFirstTimeTypeEnum> {

    ENTRY("达人认证"),
    LIVEING("开通直播"),
    PRACTICE("首次完成陪练课设置"),
    LIVE("首次创建直播课"),
    VIDEO("首次创建视频课"),
    BIND_STUDENT("学员绑定"),
    REGISTER_STUDENT("学员注册"),
    REGISTER_TEACHER("老师注册"),
    ;

    @EnumValue
    private String code;
    private String msg;

    UserFirstTimeTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
